"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10808f550>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10808f5e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10808f670>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10808f700>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10808f790>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10808f820>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10808f8b0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10808f940>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10808f9d0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10808fa60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10808faf0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10808fb80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10808fc10>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10808fca0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10808fd30>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10808fdc0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10808fe50>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10808fee0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10808ff70>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108095040>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1080950d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108095160>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1080951f0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108095280>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1080953a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108095310>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108095430>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1080954c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108095550>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1080955e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108095670>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108095700>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108095790>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108095820>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1080958b0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108095940>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1080959d0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108095a60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108095af0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108095b80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108095c10>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108095ca0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108095d30>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108095dc0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108095e50>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108095ee0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108095f70>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108099040>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1080990d0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108099160>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1080991f0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108099280>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108099310>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1080993a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108099430>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1080994c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108099550>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1080995e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108099670>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108099700>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108099790>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108099820>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1080998b0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108099940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1080999d0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108099b80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108099a60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108099c10>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108099ca0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108099d30>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108099dc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108099e50>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108099f70>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108099ee0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10809d040>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10809d0d0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10809d160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10809d280>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10809d1f0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10809d310>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10809d3a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10809d430>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10809d4c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10809d550>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10809d5e0>)]
name: str = 'fr_HOCCN'
